# Proxmox Clonar HDD antigo para Novo

1. Na terminal do Proxmox enviar:
```
sudo apt-get update && sudo apt-get install -y gddrescue hwinfo
```

2. Ligar o Novo HDD via USB
E usar `hwinfo --short` para identificar os discos.

### Clonar Disco Antigo para Disco Novo

```
ddrescue -f /dev/sda /dev/sdb clone.log
```

### Clonar Disco Antigo para Imagem

```
ddrescue -f /dev/sda /root/hdd_clone.img clone.log
```

### Clonar Disco Antigo via Samba

1. na terminal do Proxmox enviar:
```
mkdir -p /mnt/clone
cd /mnt/clone
```

2. Montar Samba folders, na terminal do Proxmox enviar:
```
mount -t cifs -o username=myUsername,password=myPassword //192.168.1.100/SharedFolder /mnt/clone
```

Se o destino Samba for Windows tem que adcionar `-o lfs`

3. Fazer Clone, na terminal do Proxmox enviar:
```
cd /mnt/clone
ddrescue -d -r3 /dev/sda hdd_clone.img clone.log
```

Se o commando `ddrescue` for interrompido por algum motivo basta enviarem o mesmo comando que ele continua onde estava.

No Final devera ser possivel trocarem fisicamente o HDD antigo pelo novo e continuar tudo como estava.

